%define name gps3d
%define version 1.12
%define release 1
%define prefix /usr

%define mapdir %{_datadir}/%{name}

Summary: GPS3D - utilities to manipulate a handled GPS and vizualize the result in 3D
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: 100% free
Group: X11/Applications/Geographics
Url: http://www.mgix.com/gps3d/
Vendor: Emmanuel Mogenet <mgix@mgix.com>
Prefix: %{prefix}

Source: http://www.mgix.com/gps3d/%{name}-%{version}.tar.bz2
#Patch: gps3d-1.12-make.patch
Patch: gps3d-1.12-megaloman.patch

BuildPrereq: XFree86-devel, Mesa-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
GPS3D is a collection of utilities to manipulate a handled GPS device from
your PC, and vizualize the result in 3D. 
        
Even without a GPS device, you can still use gps3d to play interactively
with a 3D texture mapped model of earth.

%prep
%setup
%patch -p1

%build
make RPM_FLAGS="$RPM_OPT_FLAGS -I/usr/X11R6/include -DMAP_FILE=\\\"%{mapdir}/map.pnm\\\" -DTRACK_FILE=\\\"./Track\\\""

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{mapdir}}
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/gps $RPM_BUILD_ROOT%{_bindir}
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/gpsd $RPM_BUILD_ROOT%{_bindir}
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/viz $RPM_BUILD_ROOT%{_bindir}
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/map.pnm $RPM_BUILD_ROOT%{mapdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/gps
%{_bindir}/gpsd
%{_bindir}/viz
%dir %{mapdir}
%{mapdir}/map.pnm
%doc Changelog.txt Readme.txt Track

%changelog
* Sun Aug 27 2000 Peter Hanecak <hanecak@megaloman.sk>
[1.12-1]
- initial spec
